;*************************************************************************
; Copyright (c) 2002 The University of Chicago, as Operator of Argonne
; National Laboratory.
; Copyright (c) 2002 The Regents of the University of California, as
; Operator of Los Alamos National Laboratory.
; This file is distributed subject to a Software License Agreement found
; in the file LICENSE that is included with this distribution. 
;*************************************************************************
pro parameter
	catch, error_status
	if(error_status NE 0) then begin
		print, 'ERROR_MESSAGE:',!ERR_STRING
		if (OBJ_VALID(a)) then OBJ_DESTROY, a
		return
	endif


a=obj_new('sdds_table','parameter.sdds', /NEW)
if (NOT OBJ_VALID(a)) then MESSAGE, 'object-a- not created!'

a->setparameterdefinition, {NAME:'double'}
a->setparameterdefinition, {NAME:'float',TYPE:'FLOAT'}
a->setparameterdefinition, {NAME:'long',TYPE:'LONG',DESCRIPTION:'a long'}
a->setparameterdefinition, {NAME:'short',TYPE:'SHORT',UNITS:'Volts'}
a->setparameterdefinition, {NAME:'string',TYPE:'STRING',FIXED_VALUE:'a comment'}
a->setparameterdefinition, {NAME:'string1',TYPE:'STRING',DESCRIPTION:'a date'}
a->setparameterdefinition, {NAME:'byte',TYPE:'BYTE'}

a->startTable, 10

a->setparameter, 'double', 1.1D
a->setparameter, 'float', 22.22
a->setparameter, 'long', 3l
a->setparameter, 'short', 4
a->setparameter, 'string1','May 26,1999'
a->setparameter, 'byte', 7B

a->writeTable

a->setparameter, 'double', 1.2D
a->setparameter, 'float', 22.33
a->setparameter, 'long', 4l
a->setparameter, 'short', 5
a->setparameter, 'string1','May 26,2000'
a->setparameter, 'short', 8B

a->writeTable

obj_destroy, a

return
end
